/*===========================================================================*/
/*   (Llib/i18n.scm)                                                         */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/i18n.scm -indent -o objs/obj_s/Llib/i18n.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___I18N_TYPE_DEFINITIONS
#define BGL___I18N_TYPE_DEFINITIONS
#endif // BGL___I18N_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__i18nz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__i18nz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t bgl_utf8_string_locale_capitalize(obj_t);
extern obj_t bgl_utf8_string_locale_upcase(obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00(obj_t, obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__i18nz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__i18nz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__i18nz00(void);
static obj_t BGl_objectzd2initzd2zz__i18nz00(void);
BGL_EXPORTED_DECL int BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__i18nz00(void);
BGL_EXPORTED_DECL obj_t BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00(obj_t, obj_t);
extern obj_t bgl_utf8_string_locale_downcase(obj_t);
static obj_t BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2upcasezd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1623z00, BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2compare3zd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1624z00, BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2capitaliza7ezd2envza7zz__i18nz00, BgL_bgl_za762utf8za7d2string1625z00, BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1616z00zz__i18nz00, BgL_bgl_string1616za700za7za7_1626za7, "/tmp/bigloo/runtime/Llib/i18n.scm", 33 );
DEFINE_STRING( BGl_string1617z00zz__i18nz00, BgL_bgl_string1617za700za7za7_1627za7, "&utf8-string-locale-compare3", 28 );
DEFINE_STRING( BGl_string1618z00zz__i18nz00, BgL_bgl_string1618za700za7za7_1628za7, "bstring", 7 );
DEFINE_STRING( BGl_string1619z00zz__i18nz00, BgL_bgl_string1619za700za7za7_1629za7, "&utf8-string-locale-upcase", 26 );
DEFINE_STRING( BGl_string1620z00zz__i18nz00, BgL_bgl_string1620za700za7za7_1630za7, "&utf8-string-locale-downcase", 28 );
DEFINE_STRING( BGl_string1621z00zz__i18nz00, BgL_bgl_string1621za700za7za7_1631za7, "&utf8-string-locale-capitalize", 30 );
DEFINE_STRING( BGl_string1622z00zz__i18nz00, BgL_bgl_string1622za700za7za7_1632za7, "__i18n", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_utf8zd2stringzd2localezd2downcasezd2envz00zz__i18nz00, BgL_bgl_za762utf8za7d2string1633z00, BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__i18nz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__i18nz00(long BgL_checksumz00_1740, char * BgL_fromz00_1741)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__i18nz00))
{ 
BGl_requirezd2initializa7ationz75zz__i18nz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__i18nz00(); 
BGl_importedzd2moduleszd2initz00zz__i18nz00(); 
return 
BGl_methodzd2initzd2zz__i18nz00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__i18nz00(void)
{
{ /* Llib/i18n.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* utf8-string-locale-compare3 */
BGL_EXPORTED_DEF int BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(obj_t BgL_leftz00_3, obj_t BgL_rightz00_4)
{
{ /* Llib/i18n.scm 77 */
return 
BGL_UTF8_STRING_LOCALE_COMPARE3(BgL_leftz00_3, BgL_rightz00_4);} 

}



/* &utf8-string-locale-compare3 */
obj_t BGl_z62utf8zd2stringzd2localezd2compare3zb0zz__i18nz00(obj_t BgL_envz00_1721, obj_t BgL_leftz00_1722, obj_t BgL_rightz00_1723)
{
{ /* Llib/i18n.scm 77 */
{ /* Llib/i18n.scm 78 */
 int BgL_tmpz00_1750;
{ /* Llib/i18n.scm 78 */
 obj_t BgL_auxz00_1758; obj_t BgL_auxz00_1751;
if(
STRINGP(BgL_rightz00_1723))
{ /* Llib/i18n.scm 78 */
BgL_auxz00_1758 = BgL_rightz00_1723
; }  else 
{ 
 obj_t BgL_auxz00_1761;
BgL_auxz00_1761 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1616z00zz__i18nz00, 
BINT(2946L), BGl_string1617z00zz__i18nz00, BGl_string1618z00zz__i18nz00, BgL_rightz00_1723); 
FAILURE(BgL_auxz00_1761,BFALSE,BFALSE);} 
if(
STRINGP(BgL_leftz00_1722))
{ /* Llib/i18n.scm 78 */
BgL_auxz00_1751 = BgL_leftz00_1722
; }  else 
{ 
 obj_t BgL_auxz00_1754;
BgL_auxz00_1754 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1616z00zz__i18nz00, 
BINT(2946L), BGl_string1617z00zz__i18nz00, BGl_string1618z00zz__i18nz00, BgL_leftz00_1722); 
FAILURE(BgL_auxz00_1754,BFALSE,BFALSE);} 
BgL_tmpz00_1750 = 
BGl_utf8zd2stringzd2localezd2compare3zd2zz__i18nz00(BgL_auxz00_1751, BgL_auxz00_1758); } 
return 
BINT(BgL_tmpz00_1750);} } 

}



/* utf8-string-locale-upcase */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(obj_t BgL_strz00_5)
{
{ /* Llib/i18n.scm 83 */
BGL_TAIL return 
bgl_utf8_string_locale_upcase(BgL_strz00_5);} 

}



/* &utf8-string-locale-upcase */
obj_t BGl_z62utf8zd2stringzd2localezd2upcasezb0zz__i18nz00(obj_t BgL_envz00_1724, obj_t BgL_strz00_1725)
{
{ /* Llib/i18n.scm 83 */
{ /* Llib/i18n.scm 86 */
 obj_t BgL_auxz00_1768;
if(
STRINGP(BgL_strz00_1725))
{ /* Llib/i18n.scm 86 */
BgL_auxz00_1768 = BgL_strz00_1725
; }  else 
{ 
 obj_t BgL_auxz00_1771;
BgL_auxz00_1771 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1616z00zz__i18nz00, 
BINT(3326L), BGl_string1619z00zz__i18nz00, BGl_string1618z00zz__i18nz00, BgL_strz00_1725); 
FAILURE(BgL_auxz00_1771,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2upcasezd2zz__i18nz00(BgL_auxz00_1768);} } 

}



/* utf8-string-locale-downcase */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(obj_t BgL_strz00_6)
{
{ /* Llib/i18n.scm 91 */
BGL_TAIL return 
bgl_utf8_string_locale_downcase(BgL_strz00_6);} 

}



/* &utf8-string-locale-downcase */
obj_t BGl_z62utf8zd2stringzd2localezd2downcasezb0zz__i18nz00(obj_t BgL_envz00_1726, obj_t BgL_strz00_1727)
{
{ /* Llib/i18n.scm 91 */
{ /* Llib/i18n.scm 94 */
 obj_t BgL_auxz00_1777;
if(
STRINGP(BgL_strz00_1727))
{ /* Llib/i18n.scm 94 */
BgL_auxz00_1777 = BgL_strz00_1727
; }  else 
{ 
 obj_t BgL_auxz00_1780;
BgL_auxz00_1780 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1616z00zz__i18nz00, 
BINT(3703L), BGl_string1620z00zz__i18nz00, BGl_string1618z00zz__i18nz00, BgL_strz00_1727); 
FAILURE(BgL_auxz00_1780,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2downcasezd2zz__i18nz00(BgL_auxz00_1777);} } 

}



/* utf8-string-locale-capitalize */
BGL_EXPORTED_DEF obj_t BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(obj_t BgL_strz00_7)
{
{ /* Llib/i18n.scm 99 */
BGL_TAIL return 
bgl_utf8_string_locale_capitalize(BgL_strz00_7);} 

}



/* &utf8-string-locale-capitalize */
obj_t BGl_z62utf8zd2stringzd2localezd2capitaliza7ez17zz__i18nz00(obj_t BgL_envz00_1728, obj_t BgL_strz00_1729)
{
{ /* Llib/i18n.scm 99 */
{ /* Llib/i18n.scm 102 */
 obj_t BgL_auxz00_1786;
if(
STRINGP(BgL_strz00_1729))
{ /* Llib/i18n.scm 102 */
BgL_auxz00_1786 = BgL_strz00_1729
; }  else 
{ 
 obj_t BgL_auxz00_1789;
BgL_auxz00_1789 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1616z00zz__i18nz00, 
BINT(4086L), BGl_string1621z00zz__i18nz00, BGl_string1618z00zz__i18nz00, BgL_strz00_1729); 
FAILURE(BgL_auxz00_1789,BFALSE,BFALSE);} 
return 
BGl_utf8zd2stringzd2localezd2capitaliza7ez75zz__i18nz00(BgL_auxz00_1786);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__i18nz00(void)
{
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__i18nz00(void)
{
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__i18nz00(void)
{
{ /* Llib/i18n.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__i18nz00(void)
{
{ /* Llib/i18n.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1622z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1622z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L, 
BSTRING_TO_STRING(BGl_string1622z00zz__i18nz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(475449627L, 
BSTRING_TO_STRING(BGl_string1622z00zz__i18nz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(149516032L, 
BSTRING_TO_STRING(BGl_string1622z00zz__i18nz00));} 

}

#ifdef __cplusplus
}
#endif
